Subject: Re: Collets for Shirline Mill

From: [email-masked]
Date: 5 Dec 1996 18:12:07 GMT

Bryan,

J&L Industrial has 2 flute minature cobalt double ended end mills on sale
for ~$5 during December.  They have standard and and extra length.  The
also have some HSS 4 flute minature end mills for ~$3.  I'll fax you a
copy of the sale sheet if your interested.  You can call em at
1-800-521-9520.  I picked up some 1/8" last month as they were also on
sale.  I haven't tried yet, but they look good and are sharp.  They're
maid in Spain.  I'll probably pick up some more while they're on sale.

Paul